Bug 198130 - compat-db-4.2.52-4 does not provide libdb_cxx-4.2.so
compat-db-4.2.52-4 does not provide libdb_cxx-4.2.so
Product: Fedora
Classification: Fedora
Component: compat-db (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Depends On:
  Show dependency treegraph
Reported: 2006-07-10 01:30 EDT by Sivasankar Chander
Modified: 2013-07-02 19:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-10 04:37:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Updated specfile that enables libdb_cxx during build of compat-db (11.10 KB, text/plain)
2006-07-10 01:30 EDT, Sivasankar Chander
no flags Details

  None (edit)
Description Sivasankar Chander 2006-07-10 01:30:52 EDT
Description of problem:

libdb_cxx-4.2.so is not provided by compat-db. This is required by a number
of legacy packages, including OpenOffice-1.x.

Version-Release number of selected component (if applicable): 4.2.52-4, 4.2.52-2.FC4

How reproducible: Always

Steps to Reproduce:
1. Rebuild compat-db-4.2.52-4 from source RPM.
Actual results: libdb_cxx-4.2.so is not in the "Provides" list.

Expected results:

Additional info:

This is just a placeholder bug-report to include an updated spec file,
attached below, that enables the provision of libdb_cxx-?.?.so during
the build of compat-db-4.2.52-4.src.rpm. Everything else is built as
before without changes. This resolves a dependency for legacy versions
of certain programs, including OpenOffice.org 1.1.3 from FC-3.
Comment 1 Sivasankar Chander 2006-07-10 01:30:52 EDT
Created attachment 132160 [details]
Updated specfile that enables libdb_cxx during build of compat-db
Comment 2 Jindrich Novy 2006-07-10 04:37:04 EDT
db_cxx libs are now added to compat-db. Thanks!
Comment 3 Fedora Update System 2006-07-11 11:37:41 EDT
compat-db-4.2.52-4.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.